Index: star-1.5/conf/configure.in
================================================================================
--- star-1.5/conf/configure.in
+++ star-1.5/conf/configure.in
@@ -6,6 +6,8 @@
 AC_CONFIG_HEADER(xconfig.h)
 AC_CANONICAL_HOST
 
+AC_DEFINE(_GNU_SOURCE,,[Use GNU extensions on systems that provide them])
+
 dnl Checks for programs.
 dnl CC=${CC-cc}
 dnl AC_PROG_CC
--- star-1.5/DEFAULTS/Defaults.linux
+++ star-1.5/DEFAULTS/Defaults.linux
@@ -8,31 +8,31 @@
 # Compiler stuff
 #
 ###########################################################################
-DEFCCOM=	cc
-#DEFCCOM=	gcc
+DEFCCOM=	gcc
 ###########################################################################
 #
 # If the next line is commented out, compilation is done with max warn level
 # If the next line is uncommented, compilation is done with minimal warnings
 #
 ###########################################################################
-CWARNOPTS=
+#CWARNOPTS=
 
 DEFINCDIRS=	$(SRCROOT)/include /usr/src/linux/include
-LDPATH=		-L/opt/schily/lib
-RUNPATH=	-R $(INS_BASE)/lib -R /opt/schily/lib -R $(OLIBSDIR)
+LDPATH=		-L/usr/lib
+RUNPATH=
+
 
 ###########################################################################
 #
 # Installation config stuff
 #
 ###########################################################################
-INS_BASE=	/opt/schily
+INS_BASE=	/usr
 INS_KBASE=	/
 #
 DEFUMASK=	002
 #
-DEFINSMODEF=	444
+DEFINSMODEF=	644
 DEFINSMODEX=	755
 DEFINSUSR=	bin
 DEFINSGRP=	bin
--- star-1.5/include/schily.h
+++ star-1.5/include/schily.h
@@ -89,6 +89,11 @@
 #	define	_openfd		_openfd64
 #endif
 
+#ifdef _GNU_SOURCE
+#   define fexecve sfexecve
+#   define getline get_line
+#endif
+
 #ifdef	EOF	/* stdio.h has been included */
 extern	int	_cvmod __PR((const char *, int *, int *));
 extern	FILE	*_fcons __PR((FILE *, int, int));
@@ -175,7 +180,7 @@
 extern	void	comexit	__PR((int));
 extern	char	*errmsgstr __PR((int));
 /*PRINTFLIKE1*/
-extern	int	error __PR((const char *, ...)) __printflike__(1, 2);
+extern	int	error __PR((const char *, ...));
 extern	char	*fillbytes __PR((void *, int, char));
 extern	char	*findbytes __PR((const void *, int, char));
 extern	int	findline __PR((const char *, char, const char *,
--- star-1.5/lib/fexec.c
+++ star-1.5/lib/fexec.c
@@ -16,6 +16,7 @@
 #include <mconfig.h>
 #include <stdio.h>
 #include <standard.h>
+#include <unixstd.h>
 #define	fexecl	__nothing_1_	/* prototype in schily.h is wrong */
 #define	fexecle	__nothing_2_	/* prototype in schily.h is wrong */
 #include <schily.h>
@@ -23,7 +24,7 @@
 #undef	fexecle
 	int fexecl	__PR((const char *, FILE *, FILE *, FILE *, ...));
 	int fexecle	__PR((const char *, FILE *, FILE *, FILE *, ...));
-#include <unixstd.h>
+#undef fexecve
 #include <stdxlib.h>
 #include <strdefs.h>
 #include <vadefs.h>
@@ -37,6 +38,10 @@
 #include <dirdefs.h>
 #include <maxpath.h>
 
+#ifdef _GNU_SOURCE
+#   define fexecve sfexecve
+#endif
+
 #define	MAX_F_ARGS	16
 
 extern	char **environ;
--- star-1.5/mt/Makefile
+++ star-1.5/mt/Makefile
@@ -7,7 +7,7 @@
 
 INSDIR=		bin
 TARGET=		smt
-SYMLINKS=	mt
+#SYMLINKS=	mt
 CPPOPTS +=	-DUSE_REMOTE
 CFILES=		mt.c
 #HFILES=
--- star-1.5/rmt/rmt.1
+++ star-1.5/rmt/rmt.1
@@ -17,9 +17,7 @@
 .SH NAME
 rmt \- remote magnetic tape protocol server
 .SH SYNOPSIS
-.B /opt/schily/sbin/rmt
-.br
-.B /etc/rmt
+.B /usr/sbin/rmt
 
 .SH DESCRIPTION
 .IX  "rmt command"  ""  "\fLrmt\fP \(em remote magnetic tape protocol server"
--- star-1.5/rmt/rmt.dfl
+++ star-1.5/rmt/rmt.dfl
@@ -18,15 +18,12 @@
 # Each USER= entry adds the listed user to the users who may run rmt
 #
 # A typical passwd entry looks like this:
-# rtape:x:1999:1000:Remote TAPE:/export/home/rtape:/opt/schily/sbin/rmt
-#
-# Add entries for all valid remote users to /export/home/rtape/.rhosts
+# rtape:x:1999:1000:Remote TAPE:/home/tape:/usr/sbin/rmt
 #
+# Add entries for all valid remote users to /home/tape/.rhosts
+# See /usr/share/doc/packages/star/README.SuSE
 #USER=rtape
-#USER=joerg
-# Default to old SunOS behavior. If you like to be more restrictive, comment
-# out the entry below and enable the explicit USER= entries above.
-USER=*
+#USER=*
 
 #
 # Each ACCESS= entry adds a target or group of targets to the list of visible
@@ -44,7 +41,7 @@
 #	name	name
 #
 #ACCESS=rtape	sparky	/dev/rmt/*
-ACCESS=*	*	/dev/rmt/*
+#ACCESS=*	*	/dev/rmt/*
 ACCESS=*	*	/dev/null
-ACCESS=*	*	/dev/zero
+#ACCESS=*	*	/dev/zero
 #ACCESS=*	*	*
--- star-1.5/RULES/i586-linux-gcc.rul
+++ star-1.5/RULES/i586-linux-gcc.rul
@@ -21,8 +21,7 @@
 
 CPPOPTS=	-I. -I$(ARCHDIR) -I$(OINCSDIR) $(INCDIRS:%=-I%) $(OSDEFS)
 COPTS=
-CWOPTS=		-Wall -Wtraditional \
-		-Wshadow -Wmissing-prototypes -Wstrict-prototypes
+CWOPTS=		-Wall -Wstrict-prototypes -Wpointer-arith
 COPTOPT=	-O
 KDEFINES=	-DKERNEL -D_KERNEL
 COPTDYN=	-fpic
--- star-1.5/RULES/rules.prg
+++ star-1.5/RULES/rules.prg
@@ -76,7 +76,7 @@
 #YACC=		@echo "	==> YACCING \"$@\""; yacc
 #LEX=		@echo "	==> LEXING \"$@\""; lex
 #AWK=		@echo "	==> AWKING \"$@\""; awk
-MKDEP=		@echo "	==> MAKING DEPENDENCIES \"$@\""; makedepend
+MKDEP=		@echo "	==> MAKING DEPENDENCIES \"$@\""; gccmakedep
 MKDEP_OUT=	-f -
 MKDIR=		@echo "	==> MAKING DIRECTORY \"$@\""; $(UMASK); mkdir
 MKDIR_SH=	@echo "	==> MAKING DIRECTORY \"$@\""; $(UMASK); sh $(SRCROOT)/conf/mkdir-sh
